xcb_focus_in_event_t(3)

NAME
xcb_focus_in_event_t - NOT YET DOCUMENTED

SYNOPSIS
#include <xcb/xproto.h>

  Event datastructure

typedef struct xcb_focus_in_event_t {
    uint8_t      response_type;
    uint8_t      detail;
    uint16_t     sequence;
    xcb_window_t event;
    uint8_t      mode;
    uint8_t      pad0[3];
} xcb_focus_in_event_t;

EVENT FIELDS

response_type
    The type of this event, in this case XCB_FOCUS_IN. This field is also present in the xcb_generic_event_t and can be used to tell events apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

detail

event
    The window on which the focus event was generated. This is the window used by the X server to report the event.

mode

DESCRIPTION

SEE ALSO
xcb_generic_event_t(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.